## org.apache.poi.hslf.model
Class MasterSheet

    java.lang.Object
      org.apache.poi.hslf.model.Sheet
          org.apache.poi.hslf.model.MasterSheet

Direct Known Subclasses:
  SlideMaster, TitleMaster

    public abstract class MasterSheet

extends Sheet

The superclass of all master sheets - Slide masters, Notes masters, etc. For now it's empty. When we understand more about masters in ppt we will add the common functionality here.

Author:
  Yegor Kozlov

Constructor Summary
`MasterSheet(SheetContainer container, int sheetNo)`

Method Summary
`abstract TextProp` `getStyleAttribute(int txtype, int level, java.lang.String name, boolean isCharacter)` Pickup a style attribute from the master.
`static boolean` `isPlaceholder(Shape shape)` Checks if the shape is a placeholder.

Methods inherited from class org.apache.poi.hslf.model.Sheet
`_getSheetNumber, _getSheetRefId, addShape, allocateShapeId, draw, findTextRuns, findTextRuns, getBackground, getColorScheme, getMasterSheet, getPlaceholder, getPlaceholderByTextType, getPPDrawing, getProgrammableTag, getShapes, getSheetContainer, getSlideShow, getTextRuns, onAddTextShape, onCreate, removeShape, setSlideShow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MasterSheet

    public MasterSheet(SheetContainer container,
                       int sheetNo)

Method Detail

### getStyleAttribute

    public abstract TextProp getStyleAttribute(int txtype,
                                               int level,
                                               java.lang.String name,
                                               boolean isCharacter)

  Pickup a style attribute from the master. This is the "workhorse" which returns the default style attrubutes.

### isPlaceholder

    public static boolean isPlaceholder(Shape shape)

  Checks if the shape is a placeholder. (placeholders aren't normal shapes, they are visible only in the Edit Master mode)

  Returns:
    true if the shape is a placeholder

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.